## parley 14.12.3

=== debian/changelog ===
parley (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:27:50 -0700

parley (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with 
    remote site does not even have current version

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:30:52 -0800

parley (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Dec 2014 15:20:26 +0100

parley (4:14.11.97-0ubuntu2) vivid; urgency=medium

  * Cherry pick part of c771075b43cbcb755d681f4aa0cda84018bcaaed as
    kubuntu_remove_edit-clear_icon.diff so parley-data doesn't conflict
    with oxygen-icon-theme (LP: #1400903)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 14 Dec 2014 10:28:35 +0100

parley (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release
  * Update build-deps for KF5 and switch to qt-kde-team/3 build scripts
  * remove xpm icon generation, it's unused and breaks compile
  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Dec 2014 13:26:12 +0100

=== debian/control ===
Source: parley
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               imagemagick,
               kdoctools-dev,
               kio-dev,
               kross-dev,
               libkeduvocdocument-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5i18n-dev,
               libkf5kcmutils-dev,
               libkf5khtml-dev,
               libkf5newstuff-dev,
               libkf5sonnet-dev,
               libqt5svg5-dev,
               libxml2-dev,
               libxslt-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtmultimedia5-dev,
               qtscript5-dev
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/kdeedu/parley
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/parley.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/parley.git/

Package: parley
Architecture: any
Depends: kdeedu-kvtml-data,
         kross,
         parley-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: krosspython, python-kde4
Suggests: khelpcenter
Description: vocabulary trainer
 Parley is a utility to help train vocabulary when learning a foreign language.
 It is intended as a replacement for flash cards.
 .
 This package is part of the KDE education module.

Package: parley-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for the Parley vocabulary trainer
 This package contains architecture-independent data files for the Parley
 vocabulary trainer.
 .
 This package is part of the KDE education module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/parley-([\d.]+).tar.xz

## parley 15.08.2

=== debian/changelog ===
parley (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 13:04:59 +0100

parley (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:45:34 +0100

parley (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 18:20:45 +0100

parley (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 12:31:28 +0100

parley (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * manual merge
  * New upstream release
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 22:41:43 +0200

## parley 15.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(parley)

find_package(ECM 1.0.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(FeatureSummary)

#Allows QString concatenation to use a single memory allocation per source line.
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

set(REQUIRED_QT_VERSION "5.2")
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED
  Core
  Svg
  Concurrent
  Multimedia
)

set(REQUIRED_KF5_VERSION "4.96.0")
find_package(KF5 ${REQUIRED_KF5_VERSION} MODULE REQUIRED COMPONENTS
  DocTools  #to produce the docbook
  CoreAddons
  Config
  Crash
  I18n
  KIO
  NewStuff
  Kross
  KHtml
  Sonnet
  KCMUtils
  XmlGui
  Notifications
  #Plasma
)

find_package(LibKEduVocDocument)
set_package_properties(LibKEduVocDocument PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required to manipulate the KDE word files."
                      )

find_package(LibXslt)
set_package_properties(LibXslt PROPERTIES
                       URL "http://xmlsoft.org/XSLT"
                       TYPE OPTIONAL
                       PURPOSE "Required to build HTML export for Parley."
                      )

find_package(LibXml2)
set_package_properties(LibXml2 PROPERTIES
                       URL "http://xmlsoft.org"
                       TYPE OPTIONAL
                       PURPOSE "Required to build HTML export for Parley."
                      )


#@todo frameworks restore Xattica
# find_package(LibAttica)

# macro_log_feature(LIBATTICA_FOUND "libattica" "A library to access Open Collaboration Service providers" "http://kde.org" FALSE "" "Required to access OCS providers in get hot new stuff.")


# at the end, output the configuration
configure_file(
   ${CMAKE_CURRENT_SOURCE_DIR}/config-parley.h.cmake
   ${CMAKE_CURRENT_BINARY_DIR}/config-parley.h
)



# Define link libs for parley executable and unittests
set( parley_LINK_LIBS
  LibKEduVocDocumentImport__KEduVocDocument
  #KF5::KHtml
  KF5::KrossCore
  # KF5::ConfigCore
  Qt5::Core
  # Qt5::Qml
  Qt5::Svg
  KF5::I18n
  KF5::NewStuff
  KF5::SonnetCore
  KF5::SonnetUi
  KF5::KCMUtils
  KF5::XmlGui
  KF5::Completion
  KF5::ConfigWidgets
  KF5::ConfigGui
  KF5::WidgetsAddons
  KF5::TextWidgets
  KF5::KIOWidgets
  Qt5::Widgets
  Qt5::Gui
  Qt5::Concurrent
  Qt5::Multimedia
  KF5::Notifications
  KF5::Crash
  KF5::CoreAddons
)

message(STATUS "cmake cflags ${CMAKE_C_FLAGS}")
message(STATUS "cmake link flags ${CMAKE_EXE_LINKER_FLAGS}")

if(${LIBXSLT_FOUND} AND ${LIBXML2_FOUND})
  set(HAVE_LIBXSLT 1)
  message(STATUS "XLST found")
  set( parley_LINK_LIBS ${parley_LINK_LIBS} ${LIBXML2_LIBRARIES} ${LIBXSLT_LIBRARIES})
  include_directories(${LIBXML2_INCLUDE_DIR} ${LIBXSLT_INCLUDE_DIR})
else(${LIBXSLT_FOUND} AND ${LIBXML2_FOUND})
  set(HAVE_LIBXSLT 0)
  message(STATUS "XSLT not found, but not required")
endif(${LIBXSLT_FOUND} AND ${LIBXML2_FOUND})

if(X11_Xrender_FOUND)
  message(STATUS "X11 Xrender found")
  set( parley_LINK_LIBS ${parley_LINK_LIBS} ${X11_LIBRARIES} ${X11_Xrender_LIB})
else(X11_Xrender_FOUND)
  message(STATUS "X11 Xrender not found, but not required")
endif(X11_Xrender_FOUND)


#define the include libraries for both the parley executable and the autotests
# set( parley_INCLUDE_DIRS
#   # ${LIBATTICA_INCLUDE_DIR}
#   # libkdeedu/keduvocdocument contains the library for reading and writing vocabulary files
#   ${LIBKDEEDU_INCLUDE_DIR}
# )


if(BUILD_TESTING)
  add_subdirectory( autotests )
  add_subdirectory( tests )
endif()

add_subdirectory( docs )
add_subdirectory( src )
add_subdirectory( icons )
add_subdirectory( plugins )
add_subdirectory( themes )
add_subdirectory( tipofday )

if(HAVE_LIBXSLT)
    add_subdirectory( xslt )
endif(HAVE_LIBXSLT)


#@todo unused This seems unused delete December 2014
#add_subdirectory( scripts_test )

#@todo frameworks restore/rewrite the plasmoid
#add_subdirectory(plasmoid)


install(FILES org.kde.parley.appdata.xml DESTINATION ${KDE_INSTALL_DATAROOTDIR}/appdata/)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
include_directories( ${parley_INCLUDE_DIRS}
		     ${CMAKE_CURRENT_SOURCE_DIR}/collection
		     ${CMAKE_CURRENT_SOURCE_DIR}/editor  # FIXME: Remove when moving the rest of the files in vocabulary/
)

# installation of kconfig files .kcfg containing app settings
add_subdirectory( settings )

set(parley_LIB_SRCS
    parleyactions.cpp
    parleydocument.cpp
    parleymainwindow.cpp
    utils.cpp
    collection/collection.cpp
    collection/testentry.cpp
    collection/entryfilter.cpp
    collection/vocabularymimedata.cpp
    collection/containermimedata.cpp
    collection/readonlycontainermodel.cpp
    collection/containermodel.cpp
    collection/lessonmodel.cpp
    collection/vocabularymodel.cpp
    collection/vocabularyfilter.cpp
    collection/wordclassmodel.cpp
    collection/containerview.cpp
    editor/editor.cpp
    editor/vocabularycolumnsdialog.cpp
    editor/lessonview.cpp
    editor/vocabularydelegate.cpp
    editor/vocabularyheaderview.cpp
    editor/vocabularyview.cpp
    editor/wordtypeview.cpp
    editor/audiowidget.cpp
    #editor/browserwidget.cpp
    editor/comparisonwidget.cpp
    editor/inflectionwidget.cpp
    editor/conjugationwidget.cpp
    editor/declensionwidget.cpp
    editor/imagechooserwidget.cpp
    editor/multiplechoicewidget.cpp
    editor/summarywordwidget.cpp
    editor/synonymwidget.cpp
    editor/latexwidget.cpp
    practice/abstractwidget.cpp
    practice/sessionmanagerbase.cpp
    practice/sessionmanagercontinuous.cpp
    practice/sessionmanagerfixed.cpp
    practice/abstractfrontend.cpp
    practice/abstractbackendmode.cpp
    practice/practicestatemachine.cpp
    practice/comparisonbackendmode.cpp
    practice/comparisonmodewidget.cpp
    practice/conjugationbackendmode.cpp
    practice/conjugationmodewidget.cpp
    practice/guifrontend.cpp
    practice/writtenpracticewidget.cpp
    practice/writtenpracticevalidator.cpp
    practice/writtenbackendmode.cpp
    practice/examplesentencebackendmode.cpp
    practice/flashcardmodewidget.cpp
    practice/flashcardbackendmode.cpp
    practice/multiplechoicemodewidget.cpp
    practice/multiplechoicebackendmode.cpp
    practice/genderbackendmode.cpp
    practice/mixedlettersmodewidget.cpp
    practice/imagewidget.cpp
    practice/practicemainwindow.cpp
    practice/practicesummarycomponent.cpp
    practice/boxeswidget.cpp
    practice/audiobutton.cpp
    practice/summarybarwidget.cpp
    practice/themedbackgroundrenderer.cpp
    practice/imagecache.cpp
    practice/statustoggle.cpp
    practice/statustogglebutton.cpp
    practice/latexrenderer.cpp
    practice/configure/configurepracticedialog.cpp
    practice/configure/generalpracticeoptions.cpp
    practice/configure/blockoptions.cpp
    practice/configure/thresholdoptions.cpp
    practice/configure/specificpracticeoptions.cpp
    scripts/scriptdialog.cpp
    scripts/scriptmanager.cpp
    scripts/scripting/parley.cpp
    scripts/scripting/document.cpp
    scripts/scripting/lesson.cpp
    scripts/scripting/expression.cpp
    scripts/scripting/translation.cpp
    scripts/scripting/text.cpp
    scripts/scripting/container.cpp
    scripts/scripting/identifier.cpp
    scripts/script.cpp
    scripts/translator.cpp
    settings/generaloptions.cpp
    settings/parleyprefs.cpp
    settings/viewoptions.cpp
    settings/documentproperties.cpp
    settings/languageproperties.cpp
    settings/languagepropertiespage.cpp
    settings/kgametheme/kgametheme.cpp
    settings/kgametheme/kgamethemeselector.cpp
    statistics/conjugationoptions.cpp
    statistics/lessonstatisticsview.cpp
    statistics/statisticsmodel.cpp
    statistics/statisticsmainwindow.cpp
    statistics/statisticslegendwidget.cpp
    dashboard/dashboard.cpp
    dashboard/buttondelegate.cpp
    dashboard/gradereferencewidget.cpp
    dashboard/barwidget.cpp
    dashboard/collectionwidget.cpp
)

ki18n_wrap_ui(parley_LIB_SRCS
    collection/entryfilter.ui
    editor/multiplechoicewidget.ui
    editor/comparisonwidget.ui
    editor/conjugationwidget.ui
    editor/declensionwidget.ui
    editor/imagechooserwidget.ui
    editor/audiowidget.ui
    editor/synonymwidget.ui
    editor/browserwidget.ui
    editor/summarywordwidget.ui
    editor/latexwidget.ui
    practice/practicesummarywidget.ui
    practice/practice_mainwindow.ui
    practice/practice_widget_comparison.ui
    practice/practice_widget_conjugation.ui
    practice/practice_widget_flashcard.ui
    practice/practice_widget_multiplechoice.ui
    practice/practice_widget_written.ui
    practice/configure/generalpracticeoptions.ui
    practice/configure/blockoptions.ui
    practice/configure/thresholdoptions.ui
    practice/configure/specificpracticeoptions.ui
    settings/optionlistform.ui
    settings/viewoptionsbase.ui
    settings/generaloptionsbase.ui
    settings/languagepropertiespage.ui
    settings/documentproperties.ui
    settings/kgametheme/kgamethemeselector.ui
    statistics/statisticsmainwindow.ui
    dashboard/dashboard.ui
)

kconfig_add_kcfg_files(parley_LIB_SRCS
    settings/prefs.kcfgc
    settings/documentsettings.kcfgc
    settings/languagesettings.kcfgc
)

qt5_add_dbus_adaptor(parley_LIB_SRCS editor/org.kde.parley.xml
                     editor/editor.h Editor::EditorWindow)

#### XSLT Support ####
# to transform the document xml to html or other
if(HAVE_LIBXSLT)
    set(parley_LIB_SRCS ${parley_LIB_SRCS}
        exportdialog.cpp
    )

    ki18n_wrap_ui(parley_LIB_SRCS
        exportdialog.ui
    )
endif(HAVE_LIBXSLT)
#### End XSLT Support ####

# This library is used both by parley itself and the unit tests.
add_library(parley_LIB STATIC ${parley_LIB_SRCS})

set(parley_SRCS main.cpp)
add_executable(parley ${parley_SRCS})

target_link_libraries(parley parley_LIB ${parley_LINK_LIBS})
target_link_libraries(parley_LIB ${parley_LINK_LIBS})

########### install files ###############
install(TARGETS parley  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

# desktop files appear in the menus
install( PROGRAMS org.kde.parley.desktop DESTINATION  ${KDE_INSTALL_APPDIR} )

# hot new stuff config
install( FILES parley.knsrc parley-themes.knsrc DESTINATION  ${KDE_INSTALL_CONFDIR} )

# UI files - define menus and toolbars
# @todo frameworks find a definitive locations for files and then use KXMLGUI_INSTALL_DIR
install( FILES parleyui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/parley )
#install( FILES editor/editorui.rc DESTINATION  ${KDE_INSTALL_DATADIR}/parley )
install( FILES editor/editorui.rc DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/parley )
install( FILES dashboard/dashboardui.rc DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/parley )
# install( FILES statistics/statisticsui.rc DESTINATION  ${KDE_INSTALL_DATADIR}/parley )
# install( FILES practice/practiceui.rc DESTINATION  ${KDE_INSTALL_DATADIR}/parley )
# install( FILES practice/practicesummaryui.rc DESTINATION  ${KDE_INSTALL_DATADIR}/parley )
install( FILES statistics/statisticsui.rc DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/parley )
install( FILES practice/practiceui.rc DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/parley )
install( FILES practice/practicesummaryui.rc DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/parley )

=== plugins/wiktionary/CMakeLists.txt ===
install(FILES
    wiktionary_sound.desktop
    wiktionary_sound.py
    DESTINATION ${KDE_INSTALL_DATADIR}/parley/plugins)

install(FILES
    mwclient/__init__.py  
    mwclient/client.py  
    mwclient/compatibility.py  
    mwclient/errors.py  
    mwclient/ex.py  
    mwclient/http.py  
    mwclient/listing.py  
    mwclient/page_nowriteapi.py  
    mwclient/page.py
    mwclient/upload.py
    mwclient/README.txt
    DESTINATION ${KDE_INSTALL_DATADIR}/parley/plugins/mwclient)

install(FILES
    mwclient/simplejson/__init__.py
    mwclient/simplejson/decoder.py  
    mwclient/simplejson/encoder.py    
    mwclient/simplejson/jsonfilter.py  
    mwclient/simplejson/scanner.py
    mwclient/simplejson/ordered_dict.py
    mwclient/simplejson/tool.py
    DESTINATION ${KDE_INSTALL_DATADIR}/parley/plugins/mwclient/simplejson)

=== debian/changelog ===
parley (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:27:54 -0700

parley (4:15.12.1-1ubuntu1) xenial; urgency=medium

  * New upstream release
  * Merged with debian master
  * Removing parley.menu from packaging

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:34:08 +0100

parley (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:33 +0100

parley (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:21 +0100

parley (4:15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 02:44:58 +0200

parley (4:15.08.0-1) unstable; urgency=medium

  * Upload to unstable

  [ Maximiliano Curia ]
  * New upstream release.

  [ Scott Kitterman ]
  * Drop unneeded build-depends on qtscript5-dev

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 03 Sep 2015 17:15:48 -0400

parley (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:00 +0200

parley (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 23 Feb 2015 11:09:15 +0100

=== debian/control ===
Source: parley
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.6.0),
               imagemagick,
               kdoctools-dev (>= 4.96.0),
               kio-dev (>= 4.96.0),
               kross-dev (>= 4.96.0),
               libkeduvocdocument-dev,
               libkf5config-dev (>= 4.96.0),
               libkf5coreaddons-dev (>= 4.96.0),
               libkf5crash-dev (>= 4.96.0),
               libkf5i18n-dev (>= 4.96.0),
               libkf5kcmutils-dev (>= 4.96.0),
               libkf5khtml-dev (>= 4.96.0),
               libkf5newstuff-dev (>= 4.96.0),
               libkf5notifications-dev (>= 4.96.0),
               libkf5sonnet-dev (>= 4.96.0),
               libkf5xmlgui-dev (>= 4.96.0),
               libqt5svg5-dev (>= 5.4),
               libxml2-dev,
               libxslt-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtmultimedia5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdeedu/parley
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/parley.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/parley.git

Package: parley
Architecture: any
Depends: kdeedu-kvtml-data,
         kross,
         parley-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: krosspython, python-kde4
Suggests: khelpcenter
Description: vocabulary trainer
 Parley is a utility to help train vocabulary when learning a foreign language.
 It is intended as a replacement for flash cards.
 .
 This package is part of the KDE education module.

Package: parley-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for the Parley vocabulary trainer
 This package contains architecture-independent data files for the Parley
 vocabulary trainer.
 .
 This package is part of the KDE education module.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@,
         xvfb, xauth, dbus-x11,
         kinit
Restrictions: build-needed

## parley 16.04.3

=== debian/changelog ===
parley (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:34:19 +0200

=== debian/control ===
Source: parley
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               imagemagick,
               kdoctools-dev (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               kross-dev (>= 5.24.0~),
               libkeduvocdocument-dev (>= 4:16.04.3~),
               libkf5config-dev (>= 5.24.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5crash-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5kcmutils-dev (>= 5.24.0~),
               libkf5khtml-dev (>= 5.24.0~),
               libkf5newstuff-dev (>= 5.24.0~),
               libkf5notifications-dev (>= 5.24.0~),
               libkf5sonnet-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               libqt5svg5-dev (>= 5.6.1~),
               libxml2-dev,
               libxslt-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtmultimedia5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdeedu/parley
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley

Package: parley
Architecture: any
Depends: kdeedu-kvtml-data,
         kross,
         parley-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: krosspython, python-kde4
Suggests: khelpcenter
Description: vocabulary trainer
 Parley is a utility to help train vocabulary when learning a foreign language.
 It is intended as a replacement for flash cards.
 .
 This package is part of the KDE education module.

Package: parley-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for the Parley vocabulary trainer
 This package contains architecture-independent data files for the Parley
 vocabulary trainer.
 .
 This package is part of the KDE education module.

## parley 16.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,19 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0.0)
 
 project(parley)
 
-find_package(ECM 1.0.0 REQUIRED NO_MODULE)
+find_package(ECM 5.15.0 REQUIRED NO_MODULE)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 include(KDEInstallDirs)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 include(FeatureSummary)
 
 #Allows QString concatenation to use a single memory allocation per source line.
 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 
 set(REQUIRED_QT_VERSION "5.2")
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED
@@ -22,8 +23,7 @@
   Multimedia
 )
 
-set(REQUIRED_KF5_VERSION "4.96.0")
-find_package(KF5 ${REQUIRED_KF5_VERSION} MODULE REQUIRED COMPONENTS
+find_package(KF5 5.22 MODULE REQUIRED COMPONENTS
   DocTools  #to produce the docbook
   CoreAddons
   Config

=== debian/changelog ===
parley (4:16.08.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 22:04:31 +0100

parley (4:16.08.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (16.08.0)
  * Bump libkeduvocdocument-dev build dependency version

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 12:43:27 +0200

parley (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Remove menu file and friends
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 11:07:36 +0200

=== debian/control ===
Source: parley
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0.0~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               imagemagick,
               kdoctools-dev (>= 5.22~),
               kio-dev (>= 5.22~),
               kross-dev (>= 5.22~),
               libkeduvocdocument-dev (>= 4:16.08),
               libkf5config-dev (>= 5.22~),
               libkf5coreaddons-dev (>= 5.22~),
               libkf5crash-dev (>= 5.22~),
               libkf5doctools-dev (>= 5.22~),
               libkf5i18n-dev (>= 5.22~),
               libkf5kcmutils-dev (>= 5.22~),
               libkf5khtml-dev (>= 5.22~),
               libkf5kio-dev (>= 5.22~),
               libkf5newstuff-dev (>= 5.22~),
               libkf5notifications-dev (>= 5.22~),
               libkf5sonnet-dev (>= 5.22~),
               libkf5xmlgui-dev (>= 5.22~),
               libqt5svg5-dev (>= 5.4),
               libxml2-dev,
               libxslt-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtmultimedia5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/kdeedu/parley
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/parley.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/parley.git

Package: parley
Architecture: any
Depends: kdeedu-kvtml-data,
         kross,
         parley-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: krosspython, python-kde4
Suggests: khelpcenter
Description: vocabulary trainer
 Parley is a utility to help train vocabulary when learning a foreign language.
 It is intended as a replacement for flash cards.
 .
 This package is part of the KDE education module.

Package: parley-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for the Parley vocabulary trainer
 This package contains architecture-independent data files for the Parley
 vocabulary trainer.
 .
 This package is part of the KDE education module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/parley-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/parley-([\d.]+).tar.xz

## parley 16.12.3

=== debian/changelog ===
parley (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:27:30 +0000

parley (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:16:08 +0000

=== debian/control ===
Source: parley
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               imagemagick,
               kross-dev (>= 5.31.0~),
               libkeduvocdocument-dev (>= 4:16.12.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5svg5-dev (>= 5.6.1~),
               libxml2-dev,
               libxslt-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtmultimedia5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdeedu/parley
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley

Package: parley
Architecture: any
Depends: kdeedu-kvtml-data,
         kross,
         parley-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: krosspython, python-kde4
Suggests: khelpcenter
Description: vocabulary trainer
 Parley is a utility to help train vocabulary when learning a foreign language.
 It is intended as a replacement for flash cards.
 .
 This package is part of the KDE education module.

Package: parley-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for the Parley vocabulary trainer
 This package contains architecture-independent data files for the Parley
 vocabulary trainer.
 .
 This package is part of the KDE education module.

## parley 17.04.3

=== debian/changelog ===
parley (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * debian/rules: Don't try to install unnessary extra license files.

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:31:31 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                extra-cmake-modules (>= 5.31.0~),
                imagemagick,
                kross-dev (>= 5.31.0~),
-               libkeduvocdocument-dev (>= 4:16.12.3~),
+               libkeduvocdocument-dev (>= 4:17.04.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
@@ -51,6 +51,8 @@
 Package: parley-data
 Architecture: all
 Depends: ${misc:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: data files for the Parley vocabulary trainer
  This package contains architecture-independent data files for the Parley
  vocabulary trainer.

## parley 17.08.3

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)
include(ECMAddTests)
include(CTest)

find_package(Qt5 5.2.0 CONFIG REQUIRED Test)

# To add a new unittest
# 1. Add its name to parley_gui_unit_tests or parley_non_gui_unit_tests
# 2. Add any non-parley library helper cpp files to parley_unittest_helpers

# set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

set( unittest_INCLUDE_DIRS
  ../src
  ../src/practice
  ../src/collection
)

set(unittest_LINK_LIBS
  Qt5::Test
  ${parley_LINK_LIBS}
  parley_LIB
)

set(parley_unittest_helpers
  parleyunittestutilities.cpp
)

macro(PARLEY_GUI_UNITTESTS)
   foreach(_testname ${ARGN})
     ecm_add_test( ${_testname} ${parley_unittest_helpers}
       LINK_LIBRARIES ${unittest_LINK_LIBS}
       TEST_NAME ${_testname}
       GUI)
   endforeach()
endmacro()

macro(PARLEY_NON_GUI_UNITTESTS)
   foreach(_testname ${ARGN})
     ecm_add_test( ${_testname} ${parley_unittest_helpers}
       LINK_LIBRARIES ${unittest_LINK_LIBS}
       TEST_NAME ${_testname}
       )
   endforeach()
endmacro()


include_directories( ${unittest_INCLUDE_DIRS})


parley_gui_unittests(
  #todo restore dummy unit test when file locking is fixed
  # allpass1test
   allpass2test
)

=== debian/changelog ===
parley (4:17.08.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS in buster/sid ('QItemSelection' does not name a type)":
    add patch from upstream Git repo to fix build with Qt 5.11.
    (Closes: #906977)

 -- gregor herrmann <gregoa@debian.org>  Sat, 01 Dec 2018 00:38:45 +0100

parley (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove the license files during dh_auto_install, not dh_install.
  * Simplify install files.
  * Remove unused imagemagick build dependency.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Dec 2017 09:33:57 +0100

parley (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:40 +0200

parley (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:06:43 +0000

parley (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:48:08 +0000

parley (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:26:39 +0000

parley (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:25:04 +0000

parley (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:28:13 +0000

parley (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:07:14 +0000

parley (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:51:55 +0000

parley (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:05:20 +0000

parley (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:26:04 +0000

parley (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:33:28 +0000

parley (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:55:31 +0000

parley (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:41:48 +0000

parley (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:53 +0000

parley (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:51:09 +0000

parley (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:36:44 +0000

parley (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jun 2016 11:08:06 +0000

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@,
         xvfb, xauth, dbus,
         kinit
Restrictions: build-needed

## parley 17.08.3.1+rb2

=== debian/changelog ===
parley (4:17.08.3.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 19:45:44 +0800

## parley 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
   Svg
   Concurrent
   Multimedia
+  WebEngineWidgets
 )
 
 find_package(KF5 5.22 MODULE REQUIRED COMPONENTS
@@ -32,7 +33,7 @@
   KIO
   NewStuff
   Kross
-  KHtml
+  #KHtml
   Sonnet
   KCMUtils
   XmlGui
@@ -103,6 +104,7 @@
   KF5::Notifications
   KF5::Crash
   KF5::CoreAddons
+  Qt5::WebEngineWidgets
 )
 
 message(STATUS "cmake cflags ${CMAKE_C_FLAGS}")
@@ -158,5 +160,9 @@
 #add_subdirectory(plasmoid)
 
 
-install(FILES org.kde.parley.appdata.xml DESTINATION ${KDE_INSTALL_DATAROOTDIR}/appdata/)
+install(FILES org.kde.parley.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ki18n_install(po)
+if (KF5DocTools_FOUND)
+ kdoctools_install(po)
+endif()

=== debian/changelog ===
parley (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:34:10 +0000

parley (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New build dep on qtwebengine5-dev
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:03:27 +0000

parley (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * Rebuild against new qtbase ABI 5.9.3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Dec 2017 18:13:12 +0100

parley (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:13:43 +0000

parley (4:17.04.3-0ubuntu2) bionic; urgency=medium

  * Drop useless recommends on python-kde4

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Nov 2017 08:43:50 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                extra-cmake-modules (>= 5.31.0~),
                imagemagick,
                kross-dev (>= 5.31.0~),
-               libkeduvocdocument-dev (>= 4:17.04.3~),
+               libkeduvocdocument-dev (>= 4:17.12.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
@@ -27,7 +27,8 @@
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
-               qtmultimedia5-dev (>= 5.6.1~)
+               qtmultimedia5-dev (>= 5.6.1~),
+               qtwebengine5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdeedu/parley
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley
@@ -40,7 +41,7 @@
          parley-data (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: krosspython, python-kde4
+Recommends: krosspython
 Suggests: khelpcenter
 Description: vocabulary trainer
  Parley is a utility to help train vocabulary when learning a foreign language.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_install:
	rm debian/tmp/usr/share/parley/plugins/mwclient/LICENSE.md
	rm debian/tmp/usr/share/parley/plugins/mwclient/six.LICENSE
	dh_install

## parley 18.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,12 @@
 cmake_minimum_required(VERSION 3.0.0)
 
-project(parley)
+# KDE Application Version, managed by release script
+set(KDE_APPLICATIONS_VERSION_MAJOR "18")
+set(KDE_APPLICATIONS_VERSION_MINOR "04")
+set(KDE_APPLICATIONS_VERSION_MICRO "3")
+set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+
+project(parley VERSION ${KDE_APPLICATIONS_VERSION})
 
 find_package(ECM 5.15.0 REQUIRED NO_MODULE)
 
@@ -73,6 +79,9 @@
    ${CMAKE_CURRENT_SOURCE_DIR}/config-parley.h.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/config-parley.h
 )
+
+# let our config-parley.h be found first in any case
+include_directories (BEFORE ${CMAKE_CURRENT_BINARY_DIR})

=== debian/changelog ===
parley (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * Drop upstream_fix-build-with-Qt-5.11.patch

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:24:02 +0100

parley (4:17.12.3-0ubuntu2) cosmic; urgency=medium

  * Add upstream patch to fix build with Qt 5.11

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jul 2018 09:18:35 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                extra-cmake-modules (>= 5.31.0~),
                imagemagick,
                kross-dev (>= 5.31.0~),
-               libkeduvocdocument-dev (>= 4:17.12.3~),
+               libkeduvocdocument-dev (>= 4:18.04.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
@@ -28,7 +28,7 @@
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
                qtmultimedia5-dev (>= 5.6.1~),
-               qtwebengine5-dev (>= 5.6.1~)
+               qtwebengine5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdeedu/parley
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley

## parley 18.12.3

=== debian/changelog ===
parley (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:35:42 +0000

parley (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:22:41 +0000

parley (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:16:01 +0000

parley (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:54:16 +0000

parley (4:18.08.3-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (18.08.0)
  * New upstream release (18.08.3)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, ramining changes:
    - keep build depend on qtwebengine5-dev (>= 5.6.1~)
    - keep l10npkgs_firstversion_ok := 4:17.03.90-0~

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 26 Dec 2018 17:49:02 +0000

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
+Build-Depends: cmake (>= 3.0.0~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               imagemagick,
                kross-dev (>= 5.31.0~),
-               libkeduvocdocument-dev (>= 4:18.04.3~),
+               libkeduvocdocument-dev (>= 4:18.12.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
@@ -29,10 +28,10 @@
                qtbase5-dev (>= 5.6.1~),
                qtmultimedia5-dev (>= 5.6.1~),
                qtwebengine5-dev (>= 5.6.1~),
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
 Homepage: https://projects.kde.org/projects/kde/kdeedu/parley
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley
 
 Package: parley
 Architecture: any
@@ -40,9 +39,11 @@
          kross,
          parley-data (>= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: krosspython
 Suggests: khelpcenter
+Breaks: parley-data (<< 4:17.08.1)
+Replaces: parley-data (<< 4:17.08.1)
 Description: vocabulary trainer
  Parley is a utility to help train vocabulary when learning a foreign language.
  It is intended as a replacement for flash cards.

## parley 19.04.3

=== debian/changelog ===
parley (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:21:21 +0100

parley (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:17:05 +0100

parley (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:04:51 +0100

parley (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:50:06 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                kross-dev (>= 5.31.0~),
-               libkeduvocdocument-dev (>= 4:18.12.3~),
+               libkeduvocdocument-dev (>= 4:19.04.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
